package calculette;

import java.awt.BorderLayout;
import javax.swing.JFrame;
import javax.swing.JPanel;

@Exercice(3)
public class Calculette extends JFrame{
	private static final long serialVersionUID = 1L;

	public Calculette(){
		setTitle("Calculette");
		JPanel jp= new JPanel();
		Ecran jtf=new Ecran("0");
		//exo 4
		  Controleur ctr=new Controleur(jtf);
		jp.setLayout(new BorderLayout());
		jp.add(jtf,BorderLayout.NORTH);
		jp.add(new Clavier(ctr),BorderLayout.CENTER);
		setContentPane(jp);
		setResizable(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setVisible(true);
		pack();

	}

}
